version 1.0
import "./tasks/CNVkit.wdl" as cnvkit

workflow {{ project_name }} {
    String sample_id
    File ref_fasta_dir
    String ref_fasta
    File ref_flat
    File tumor_bam
    File tumor_bam_bai
    File? normal_bam
    File? normal_bam_bai
    String docker_cnvkit
    String cluster_config
    String disk_size

    call cnvkit.cnvkit as cnvkit{
        input:
            sample=sample_id,
            ref_dir=ref_fasta_dir,
            fasta=ref_fasta,
            ref_flat=ref_flat,
            tumor_bam=tumor_bam,
            tumor_bam_index=tumor_bam_bai,
            normal_bam=normal_bam,
            normal_bam_index=normal_bam_bai,
            docker=docker_cnvkit,
            cluster_config=cluster_config,
            disk_size=disk_size
    }


}